## python-glanceclient 0.12.0

=== requirements.txt ===
pbr>=0.5.21,<1.0

argparse
PrettyTable>=0.6,<0.8
python-keystoneclient>=0.3.0
pyOpenSSL
warlock>=1.0.1,<2

## python-glanceclient 0.1.1

=== debian/changelog ===
python-glanceclient (1:0.1.1-0ubuntu1~cloud0) precise-folsom; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/rules: Fix test suite 
  * debian/patches/fix-ubuntu-tests: Re-introduced to prevent downloading 
    virtualenv deps.
  * debian/watch: Update with new location.

  [ Adam Gandleman ]
  * debian/control: wrap-and-sort, add python-setuptools to Depends.
  * debian/pydist-overrides: Override python-keystoneclient.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 11:31:31 -0400

python-glanceclient (2012.2~f2~20120621.59-0ubuntu1) quantal; urgency=low

  * New usptream version. 
  * debian/docs: Include changelog and readme.rst
  * debian/watch: Fix url

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Jun 2012 10:41:03 -0400

python-glanceclient (2012.2~f1-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Use Architecture: all (LP: #1013860)
    - Update maintainer

 -- Michael Terry <mterry@ubuntu.com>  Thu, 21 Jun 2012 07:15:43 -0400

python-glanceclient (2012.2~f1-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 29 May 2012 08:34:09 -0400

=== debian/control ===
Source: python-glanceclient
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 pep8,
 python-all (>= 2.6.6-3~),
 python-httplib2,
 python-keystoneclient,
 python-mox,
 python-nose,
 python-prettytable,
 python-setuptools,
 python-sphinx
Standards-Version: 3.9.3
Homepage: http://launchpad.net/glance

Package: python-glanceclient
Architecture: all
Depends: python-httplib2,
 python-keystoneclient,
 python-prettytable,
 python-setuptools,
 ${misc:Depends},
 ${python:Depends}
Description: Client library for Openstack glance server.
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the ``glanceclient`` module), and a command-line script
 (``glance``).

=== debian/watch ===
version=3
http://tarballs.openstack.org/python-glanceclient/ python-glanceclient-(.*).tar.gz

## python-glanceclient 0.5.1

=== debian/changelog ===
python-glanceclient (1:0.5.1-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/watch: add pypi sources

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 18 Sep 2012 19:18:03 -0500

python-glanceclient (1:0.5.0.1.7402590-0ubuntu1) quantal; urgency=low

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * Fix Launchpad URLs in debian/watch.

  [ Chuck Short ]
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Sep 2012 12:23:37 -0500

python-glanceclient (1:0.4.1-0ubuntu2) quantal; urgency=low

  * debian/patches/fix-ubuntu-tests.patch: Refreshed.

 -- Adam Gandelman <adamg@canonical.com>  Wed, 22 Aug 2012 23:43:28 -0700

python-glanceclient (1:0.4.1-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/control, pydist-overrides: Add python-setuptools-git,
    python-warlock.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Add python-keystoneclient as a depends.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Aug 2012 12:24:18 -0500

python-glanceclient (1:0.1.1-0ubuntu1) quantal; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/rules: Fix test suite
  * debian/patches/fix-ubuntu-tests: Re-introduced to prevent downloading
    virtualenv deps.
  * debian/watch: Update with new location.

  [ Adam Gandleman ]
  * debian/control: wrap-and-sort, add python-setuptools to Depends.
  * debian/pydist-overrides: Override python-keystoneclient.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 11:31:31 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,9 @@
  python-nose,
  python-prettytable,
  python-setuptools,
- python-sphinx
+ python-setuptools-git,
+ python-sphinx,
+ python-warlock
 Standards-Version: 3.9.3
 Homepage: http://launchpad.net/glance
 
@@ -21,8 +23,12 @@
  python-keystoneclient,
  python-prettytable,
  python-setuptools,
+ python-keystoneclient,
+ python-warlock,
  ${misc:Depends},
  ${python:Depends}
+Breaks: glance-client
+Replaces: glance-client
 Description: Client library for Openstack glance server.
  This is a client for the Glance which uses the OpenStack Image API. There's a
  Python API (the ``glanceclient`` module), and a command-line script

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion setup.py test; done

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

## python-glanceclient 0.6.0

=== debian/changelog ===
python-glanceclient (1:0.6.0-0ubuntu1) raring; urgency=low

  [ Adam Gandelman ]
  * Ensure python-prettytable >= 0.6. (LP: #1073275)
  * debian/control, pydist-overrides: Add python-openssl override.

  [ Chuck Short ]
  * New usptream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 23 Nov 2012 10:22:06 -0600

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
#	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion setup.py test; done

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

## python-glanceclient 0.9.0

=== debian/changelog ===
python-glanceclient (1:0.9.0-0ubuntu1.2) raring-security; urgency=low

  * SECURITY UPDATE: fix incorrect comparison affecting SSL verification
    - debian/patches/CVE-2013-4111.patch: adjust verify_callback() to
      correctly perform verification. Patch thanks to Debian. (LP: #1192229)
    - CVE-2013-4111

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 18 Oct 2013 13:48:44 -0500

python-glanceclient (1:0.9.0-0ubuntu1.1) raring-proposed; urgency=low

  * debian/patches/prevent-wantreaderror-https.patch: Prevent WantReadError
    on HTTPS connections when socket has been monkey patched. (LP: #1157864)

 -- Adam Gandelman <adamg@ubuntu.com>  Mon, 29 Apr 2013 14:29:07 -0700

python-glanceclient (1:0.9.0-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 04 Apr 2013 08:10:19 -0500

python-glanceclient (1:0.8.0-0ubuntu1) raring; urgency=low

  * New upstream release. 
  * debian/patches/fix-ubuntu-tests.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 07 Mar 2013 11:35:29 -0600

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  python-keystoneclient,
  python-mox,
  python-nose,
- python-prettytable,
+ python-openssl,
+ python-prettytable ( >= 0.6 ),
  python-setuptools,
  python-setuptools-git,
  python-sphinx,
@@ -21,7 +22,8 @@
 Architecture: all
 Depends: python-httplib2,
  python-keystoneclient,
- python-prettytable,
+ python-openssl,
+ python-prettytable ( >= 0.6 ),
  python-setuptools,
  python-keystoneclient,
  python-warlock,

## python-glanceclient 0.10.0

=== debian/changelog ===
python-glanceclient (1:0.10.0-2) unstable; urgency=low

  * (Build-)depends on python-warlock >= 1.0.1 and python-d2to1 >= 0.2.10
    (Closes: #724172).
  * Updated version of (build-)depends of keystoneclient to >= 1:0.2.0.
  * Fixed min versions of testtools and testrepository build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2013 18:55:26 +0800

python-glanceclient (1:0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Removed now applied upstream CVE-2013-4111 patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 13:18:30 +0800

python-glanceclient (1:0.9.0-2) unstable; urgency=high

  * Ran wrap-and-sort.
  * CVE-2013-4111: Fix missing SSL certificate check (Closes: #718282).
  * Cleans correctly so the package can be built twice.
  * Using testrepository instead of run_test.py for running tests.
  * Standards-Version: is now 3.9.4.
  * Explicitly using --buildsystem=python_distutils.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 13:55:25 +0800

python-glanceclient (1:0.9.0-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 09:39:00 +0000

python-glanceclient (1:0.8.0-1) experimental; urgency=low

  * New upstream release.
  * Removes debian/patches/fix-ubuntu-tests.patch.
  * python-keystoneclient must be >= 1:0.1.2.
  * Added python-sphinx build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Feb 2013 03:17:57 +0800

python-glanceclient (1:0.6.0-1) experimental; urgency=low

  [ Mehdi Abaakouk ]
  * First debian release (Closes: #687505)

  [ Thomas Goirand ]
  * Added a Replaces: glance-common (<< 2012.2), since this package provides
  the glance userland command line.
  * Using unified include pkgos.make from openstack-pkg-tools in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Nov 2012 11:11:56 +0000

=== debian/control ===
Source: python-glanceclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-d2to1 (>= 0.2.10)
Build-Depends-Indep: pep8 (>= 1.3.3),
                     python-argparse,
                     python-coverage,
                     python-distribute,
                     python-httplib2,
                     python-iso8601,
                     python-keystoneclient (>= 1:0.2.0),
                     python-mox,
                     python-nose,
                     python-nosexcover,
                     python-openssl,
                     python-oslo.config,
                     python-prettytable,
                     python-py (>= 1.4.9),
                     python-requests,
                     python-setuptools,
                     python-setuptools-git,
                     python-simplejson,
                     python-sphinx,
                     python-testrepository,
                     python-testtools (>= 0.9.22),
                     python-tox,
                     python-unittest2,
                     python-warlock (>= 1.0.1),
                     testrepository (>= 0.0.13)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-glanceclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-glanceclient.git
Homepage: http://glance.openstack.org

Package: python-glanceclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-d2to1 (>= 0.2.10),
         python-httplib2,
         python-iso8601,
         python-keystoneclient (>= 1:0.2.0),
         python-openssl,
         python-oslo.config,
         python-prettytable,
         python-requests,
         python-setuptools,
         python-simplejson,
         python-warlock (>= 1.0.1),
         ${misc:Depends},
         ${python:Depends}
Replaces: glance-common (<< 2012.2)
Breaks: glance-common (<< 2012.2)
Description: Client library for Openstack glance server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the "glanceclient" module), and a command-line script ("glance").

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

MANIFEST_EXCLUDE_STANDARD := glanceclient

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_configure:
	echo $(VERSION) > glanceclient/versioninfo
	dh_auto_configure -O--buildsystem=python_distutils

override_dh_auto_clean:
	echo $(VERSION) > glanceclient/versioninfo
	dh_auto_clean -O--buildsystem=python_distutils
	rm -f glanceclient/versioninfo
	rm -f ChangeLog
	rm -rf setuptools_git-*-py*.egg/
	rm -rf .tox python_glanceclient.egg-info

override_dh_install:
	dh_install -O--buildsystem=python_distutils
	rm -rf $(CURDIR)/debian/python-glanceclient/usr/glanceclient

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python setup.py testr
#	./run_tests.sh -N -P
#	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion setup.py test; done
endif

## python-glanceclient 0.11.0

=== debian/changelog ===
python-glanceclient (1:0.11.0-0ubuntu1~cloud0) precise-havana; urgency=low

  * New upstream release for the Ubuntu Cloud Archive.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Sep 2013 09:26:34 -0400

python-glanceclient (1:0.11.0-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Sep 2013 14:41:03 -0400

python-glanceclient (1:0.9.0.27.ga3585ef-0ubuntu1) saucy; urgency=low

  [ Chuck Short ]
  * New upstream release (LP: #1153623).
  * debian/control: Add python-pbr and python-d2to1. 
  * debian/control: Dropped pep8.

  [ Yolanda Robla ]
  * debian/tests: added autopkg tests

  [ James Page ]
  * d/control: Update VCS fields for new branch locations.
  * d/control: Bumped Standards-Version to 3.9.4:
    - d/copyright: Refer to released version of DEP-5.
  * Re-enable test execution:
    - d/control: Add testrepository and python-testtools to BD's.
    - d/rules: Intialise and execute tests using testr.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jul 2013 15:31:18 +0100

python-glanceclient (1:0.9.0.13.gaddd3c3-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Adam Gandelman <adamg@ubuntu.com>  Mon, 29 Apr 2013 14:10:54 -0700

=== debian/control ===
Source: python-glanceclient
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 python-d2to1,
 python-httplib2,
 python-keystoneclient,
 python-mox,
 python-nose,
 python-openssl,
 python-pbr,
 python-prettytable ( >= 0.6 ),
 python-setuptools,
 python-setuptools-git,
 python-sphinx,
 python-testtools,
 python-warlock,
 testrepository
Standards-Version: 3.9.4
Homepage: http://launchpad.net/glance
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-glanceclient/havana/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-glanceclient/havana
XS-Testsuite: autopkgtest

Package: python-glanceclient
Architecture: all
Depends:
 python-httplib2,
 python-keystoneclient,
 python-openssl,
 python-prettytable ( >= 0.6 ),
 python-setuptools,
 python-warlock,
 ${misc:Depends},
 ${python:Depends}
Breaks: glance-client
Replaces: glance-client
Description: Client library for Openstack glance server.
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the ``glanceclient`` module), and a command-line script
 (``glance``).

## python-glanceclient 0.12.0

=== debian/changelog ===
python-glanceclient (1:0.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/control: open icehouse release.
  * debian/control: Dropped python-d2to1 dependency.
  * debian/control: Replace python-mox in favor of python-mox3.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Jan 2014 15:04:30 -0500

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
	testr init && testr run --parallel

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

=== debian/tests/control ===
Tests: client
Depends: python-glanceclient

=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/" https://launchpad.net/python-glanceclient/+download https://launchpad.net/python-glanceclient/.*/.*/.*/python-glanceclient-(.*)\.tar\.gz
http://tarballs.openstack.org/python-glanceclient/ python-glanceclient-(\d.*).tar.gz
http://pypi.python.org/packages/source/p/python-glanceclient/python-glanceclient-(\d.*).tar.gz

## python-glanceclient 0.14.0

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
Babel>=1.3
argparse
PrettyTable>=0.7,<0.8
python-keystoneclient>=0.9.0
pyOpenSSL>=0.11
requests>=1.1
warlock>=1.0.1,<2
six>=1.7.0

=== debian/changelog ===
python-glanceclient (1:0.14.0-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * Fix https handler issue (LP: #1347150)
    - d/p/don-t-replace-the-https-handler-in-the-poolmanager.patch
    - d/p/fix-more-glanceclient-tests.patch: Fix breakage when using
      python-urllib3

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Thu, 22 Oct 2015 11:17:17 +0100

python-glanceclient (1:0.14.0-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 19 Sep 2014 03:15:21 -0400

python-glanceclient (1:0.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Add python-hacking.
  * debian/patches/fix-glanceclient-tests.patch: Fix breakage when
    using python-urllib3

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 18 Sep 2014 09:10:30 -0400

python-glanceclient (1:0.13.1-0ubuntu1) utopic; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Open up juno release
  * debian/control: Remove python-httplib2 and use python-requests
    instead.
  * debian/control: Add python-mock.

  [ Liam Young ]
  * debian/control: Merged in deps from requirements.txt 
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Jul 2014 11:56:59 -0400

=== debian/control ===
Source: python-glanceclient
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 python-keystoneclient (>= 1:0.9.0),
 python-hacking,
 python-mox3,
 python-mock,
 python-nose,
 python-openssl (>= 0.11),
 python-pbr (>= 0.8),
 python-babel (>= 1.3),
 python-prettytable ( >= 0.7),
 python-setuptools,
 python-setuptools-git,
 python-requests,
 python-sphinx,
 python-testtools,
 python-warlock (>= 1.0.1),
 python-six (>= 1.7.0),
 python-urllib3,
 testrepository
Standards-Version: 3.9.4
Homepage: http://launchpad.net/glance
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-glanceclient/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-glanceclient/juno
XS-Testsuite: autopkgtest

Package: python-glanceclient
Architecture: all
Depends:
 python-babel (>= 1.3),
 python-keystoneclient (>= 1:0.9.0),
 python-openssl (>= 0.11),
 python-prettytable ( >= 0.7),
 python-requests,
 python-setuptools,
 python-warlock (>= 1.0.1),
 python-six (>= 1.7.0),
 ${misc:Depends},
 ${python:Depends}
Breaks: glance-client
Replaces: glance-client
Description: Client library for Openstack glance server.
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the ``glanceclient`` module), and a command-line script
 (``glance``).

## python-glanceclient 0.15.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
Babel>=1.3
argparse
PrettyTable>=0.7,<0.8
python-keystoneclient>=0.10.0
pyOpenSSL>=0.11
requests>=1.2.1,!=2.4.0
warlock>=1.0.1,<2
six>=1.7.0
oslo.utils>=1.0.0 # Apache-2.0

=== debian/changelog ===
python-glanceclient (1:0.15.0-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Open for Vivid development.
  * d/control: Add python-hacking.
  * d/p/fix-glanceclient-tests.patch: Fix breakage when
    using python-urllib3

  [ James Page ]
  * d/watch: Drop back to just using tarballs.openstack.org.
  * New upstream release.
  * d/p/pep-0476.patch: Update HTTPS exception handling in glanceclient
    common code to deal with changes in behaviour for pep-0476.
  * d/control: Bumped Standards-Version to 3.9.6, no changes.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Dec 2014 12:53:27 +0000

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,10 @@
  python-six (>= 1.7.0),
  python-urllib3,
  testrepository
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://launchpad.net/glance
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-glanceclient/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-glanceclient/juno
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-glanceclient/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-glanceclient/kilo
 XS-Testsuite: autopkgtest
 
 Package: python-glanceclient

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@  --with python2
 
 override_dh_auto_test:
-	testr init && testr run --parallel
+	testr init && testr run
 
 get-orig-source:
 	uscan --verbose --force-download --rename --destdir=../build-area

## python-glanceclient 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=1.6
Babel>=1.3
argparse
PrettyTable<0.8,>=0.7
python-keystoneclient>=1.6.0
requests>=2.5.2
warlock<2,>=1.0.1
six>=1.9.0
oslo.utils>=2.0.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0

=== debian/changelog ===
python-glanceclient (1:1.1.0-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 24 Sep 2015 23:59:22 +0000

python-glanceclient (1:1.1.0-0ubuntu1) wily; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-test-shell.patch: Dropped. Fixed in new upstream release.
  * d/p/fix-has-expired-tests.patch: Rebased.
  * d/p/skip-tests.patch: Added to skip tests that are failing upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Sep 2015 15:40:13 -0400

python-glanceclient (1:0.19.0-1) experimental; urgency=medium

  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/p/do-not-crash-on-homedir-creation.patch: Dropped; Fixed upstream.
    - d/p/fix-has-expired-tests.patch: Rebased.
    - d/p/fix-test-shell.patch: Added to fix failing tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jun 2015 12:08:51 -0400

python-glanceclient (1:0.18.0-2) experimental; urgency=medium

  * Added Python3 support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jun 2015 09:26:13 +0000

python-glanceclient (1:0.18.0-1) experimental; urgency=medium

  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/gbp.conf: Update gbp configuration for liberty branch.
    - d/p/fix-has-expired-tests.patch: Added to work around upstream
      openssl issue.
  * Converge Ubuntu and Debian package:
    - d/tests/*: Add DEP 8 tests from Ubuntu.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Jun 2015 15:20:58 +0100

python-glanceclient (1:0.17.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added python-oslo.utils (>= 1.0.0) as (build-)depends.
  * Removed disable-intersphinx.patch, refreshed urllib3 patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2014 16:23:26 +0800

python-glanceclient (1:0.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this new release.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Oct 2014 16:19:34 +0800

python-glanceclient (1:0.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental before the freeze of Jessie.
  * Rebased disable-intersphinx.patch.
  * Added a patch to use urllib3 directly, not the vendorized version from
    requests.
  * Added python-oslosphinx as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 22:55:37 +0800

python-glanceclient (1:0.13.1-1) unstable; urgency=medium

  * New upstream release.
  * New (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 18:38:59 +0800

python-glanceclient (1:0.12.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #750227)
  * New (build-)depends set for this release.
  * Added --testr-args='--subunit  ' when calling testr.
  * Now packaging upstream manpage and doc.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Mar 2014 21:59:30 +0800

=== debian/control ===
Source: python-glanceclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Corey Bryant <corey.bryant@canonical.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.2),
                     python-mox3,
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-prettytable,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-tempest-lib (>= 0.6.1),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-warlock,
                     python3-babel,
                     python3-fixtures (>= 1.3.1),
                     python3-hacking (>= 0.10.0),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.2),
                     python-mox3,
                     python3-mox3,
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-prettytable,
                     python3-requests (>= 2.5.2),
                     python3-requests-mock (>= 0.6.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest-lib (>= 0.6.1),
                     python3-testtools (>= 1.4.0),
                     python3-testscenarios (>= 0.4),
                     python3-warlock,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-glanceclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-glanceclient.git
Homepage: http://glance.openstack.org
XS-Testsuite: autopkgtest

Package: python-glanceclient
Architecture: all
Depends: python-babel,
         python-keystoneclient (>= 1:1.1.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.6),
         python-prettytable,
         python-requests,
         python-six (>= 1.9.0),
         python-warlock,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Suggests: python-glanceclient-doc
Description: Client library for Openstack glance server - Python 2.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the "glanceclient" module), and a command-line script ("glance").
 .
 This package provides the Python 2.x module.

Package: python3-glanceclient
Architecture: all
Depends: python3-babel,
         python3-keystoneclient (>= 1:1.1.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.6),
         python3-prettytable,
         python3-requests,
         python3-six (>= 1.9.0),
         python3-warlock,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-glanceclient-doc
Description: Client library for Openstack glance server - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the "glanceclient" module), and a command-line script ("glance").
 .
 This package provides the Python 3.x module.

Package: python-glanceclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Client library for Openstack glance server - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the "glanceclient" module), and a command-line script ("glance").
 .
 This package provides the documentation and man page.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-glanceclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-glanceclient; \
	done
	mv $(CURDIR)/debian/python-glanceclient/usr/bin/glance $(CURDIR)/debian/python-glanceclient/usr/bin/python2-glance
	mv $(CURDIR)/debian/python3-glanceclient/usr/bin/glance $(CURDIR)/debian/python3-glanceclient/usr/bin/python3-glance

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build doc/man

override_dh_install:
	dh_install -O--buildsystem=python_distutils
	rm -rf $(CURDIR)/debian/python-glanceclient/usr/glanceclient

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 3.4 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*test_ssl.TestHTTPSVerifyCert.test_v1_requests_cert_verification.*|.*test_ssl.TestHTTPSVerifyCert.test_v2_requests_cert_verification.*|.*test_get_schema.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_installman:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-glanceclient-doc/usr/share/doc/python-glanceclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev:
override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons:
override_dh_perl override_dh_usrlocal:

## python-glanceclient 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
PrettyTable<0.8,>=0.7 # BSD
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
warlock<2,>=1.0.1 # Apache-2.0
six>=1.9.0 # MIT
oslo.utils>=3.5.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0

=== debian/changelog ===
python-glanceclient (1:2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 12:56:18 +0000

python-glanceclient (1:2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/install-missing-files.patch: Dropped. No longer needed.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Mar 2016 09:49:57 -0400

python-glanceclient (1:1.2.0-2) experimental; urgency=medium

  [ Corey Bryant ]
  * d/p/skip-tests-2.patch: Added to skip tests that are failing upstream.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:31:58 +0000

python-glanceclient (1:1.2.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align requirements with upstream.
  * d/gbp.conf: Update gbp configuration for mitaka branch.

  [ Corey Bryant ]
  * d/rules: Run tests for all py3 versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Jan 2016 15:15:21 -0500

python-glanceclient (1:1.1.0-4) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.
  * Fixed doubled-defined python-mox3 b-d.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Oct 2015 00:01:23 +0000

python-glanceclient (1:1.1.0-3) unstable; urgency=medium

  * Added missing breaks+replaces to allow upgrades (Closes: #802097).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 07:41:17 +0000

python-glanceclient (1:1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:49:27 +0000

python-glanceclient (1:1.1.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-test-shell.patch: Dropped. Fixed in new upstream release.
  * d/p/fix-has-expired-tests.patch: Rebased.
  * d/p/skip-tests.patch: Added to skip tests that are failing upstream.

  [ Thomas Goirand ]
  * Do not run this test that fails in my Jessie jenkins:
    - v2.test_client_requests.ClientTestRequests.test_show_bad_image_schema

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2015 15:49:44 +0000

=== debian/control ===
--- 
+++ 
@@ -21,41 +21,42 @@
                      python-keystoneclient (>= 1:1.6.0),
                      python-mock (>= 1.2),
                      python-mox3,
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-prettytable,
-                     python-requests (>= 2.5.2),
-                     python-requests-mock (>= 0.6.0),
+                     python-requests (>= 2.8.1),
+                     python-requests-mock (>= 0.7.0),
                      python-six (>= 1.9.0),
-                     python-tempest-lib (>= 0.6.1),
+                     python-tempest-lib (>= 0.14.0),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-unittest2,
                      python-warlock,
+                     python-os-client-config (>= 1.13.1),
                      python3-babel,
                      python3-fixtures (>= 1.3.1),
                      python3-hacking (>= 0.10.0),
                      python3-keystoneclient (>= 1:1.6.0),
                      python3-mock (>= 1.2),
-                     python-mox3,
                      python3-mox3,
-                     python3-oslo.i18n (>= 1.5.0),
-                     python3-oslo.utils (>= 2.0.0),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.utils (>= 3.5.0),
                      python3-prettytable,
-                     python3-requests (>= 2.5.2),
-                     python3-requests-mock (>= 0.6.0),
+                     python3-requests (>= 2.8.1),
+                     python3-requests-mock (>= 0.7.0),
                      python3-six (>= 1.9.0),
                      python3-subunit,
-                     python3-tempest-lib (>= 0.6.1),
+                     python3-tempest-lib (>= 0.14.0),
                      python3-testtools (>= 1.4.0),
                      python3-testscenarios (>= 0.4),
                      python3-warlock,
+                     python3-os-client-config (>= 1.13.1),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-glanceclient.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/python-glanceclient.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-glanceclient.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-glanceclient.git
 Homepage: http://glance.openstack.org
 XS-Testsuite: autopkgtest
 
@@ -63,11 +64,11 @@
 Architecture: all
 Depends: python-babel,
          python-keystoneclient (>= 1:1.1.0),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.utils (>= 2.0.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.utils (>= 3.5.0),
          python-pbr (>= 1.6),
          python-prettytable,
-         python-requests,
+         python-requests (>= 2.8.1),
          python-six (>= 1.9.0),
          python-warlock,
          ${misc:Depends},
@@ -89,11 +90,11 @@
 Architecture: all
 Depends: python3-babel,
          python3-keystoneclient (>= 1:1.1.0),
-         python3-oslo.i18n (>= 1.5.0),
-         python3-oslo.utils (>= 2.0.0),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.utils (>= 3.5.0),
          python3-pbr (>= 1.6),
          python3-prettytable,
-         python3-requests,
+         python3-requests (>= 2.8.1),
          python3-six (>= 1.9.0),
          python3-warlock,
          ${misc:Depends},
@@ -115,6 +116,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+Breaks: python-glanceclient (<< 1:1.1.0-2)
+Replaces: python-glanceclient (<< 1:1.1.0-2)
 Description: Client library for Openstack glance server - doc
  The Glance project provides services for discovering, registering, and
  retrieving virtual machine images over the cloud. They may be stand-alone

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,9 @@
 	mv $(CURDIR)/debian/python-glanceclient/usr/bin/glance $(CURDIR)/debian/python-glanceclient/usr/bin/python2-glance
 	mv $(CURDIR)/debian/python3-glanceclient/usr/bin/glance $(CURDIR)/debian/python3-glanceclient/usr/bin/python3-glance
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=python_distutils
 	rm -rf .testrepository build doc/man
@@ -33,13 +36,13 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 3.4 ; do \
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*test_ssl.TestHTTPSVerifyCert.test_v1_requests_cert_verification.*|.*test_ssl.TestHTTPSVerifyCert.test_v2_requests_cert_verification.*|.*test_get_schema.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'glanceclient\.tests\.unit\.(?!(.*v2.test_client_requests.ClientTestRequests.test_show_bad_image_schema.*|.*test_ssl.TestHTTPSVerifyCert.test_v1_requests_cert_verification.*|.*test_ssl.TestHTTPSVerifyCert.test_v2_requests_cert_verification.*|.*test_get_schema.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
  		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

## python-glanceclient 2.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD
PrettyTable<0.8,>=0.7 # BSD
python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
warlock<2,>=1.0.1 # Apache-2.0
six>=1.9.0 # MIT
oslo.utils>=3.11.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0

=== debian/changelog ===
python-glanceclient (1:2.1.0-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 10 Sep 2016 12:58:39 +0000

python-glanceclient (1:2.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 18:34:35 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.6),
                python-setuptools,
@@ -16,16 +16,16 @@
                python3-setuptools,
 Build-Depends-Indep: python-babel,
                      python-coverage,
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
-                     python-keystoneclient (>= 1:1.6.0),
-                     python-mock (>= 1.2),
+                     python-keystoneclient (>= 1:1.7.0),
+                     python-mock (>= 2.0),
                      python-mox3,
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.11.0),
                      python-oslosphinx (>= 2.5.0),
                      python-prettytable,
-                     python-requests (>= 2.8.1),
+                     python-requests (>= 2.10.0),
                      python-requests-mock (>= 0.7.0),
                      python-six (>= 1.9.0),
                      python-tempest-lib (>= 0.14.0),
@@ -35,15 +35,15 @@
                      python-warlock,
                      python-os-client-config (>= 1.13.1),
                      python3-babel,
-                     python3-fixtures (>= 1.3.1),
+                     python3-fixtures (>= 3.0.0),
                      python3-hacking (>= 0.10.0),
-                     python3-keystoneclient (>= 1:1.6.0),
-                     python3-mock (>= 1.2),
+                     python3-keystoneclient (>= 1:1.7.0),
+                     python3-mock (>= 2.0),
                      python3-mox3,
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.5.0),
+                     python3-oslo.utils (>= 3.11.0),
                      python3-prettytable,
-                     python3-requests (>= 2.8.1),
+                     python3-requests (>= 2.10.0),
                      python3-requests-mock (>= 0.7.0),
                      python3-six (>= 1.9.0),
                      python3-subunit,
@@ -54,7 +54,7 @@
                      python3-os-client-config (>= 1.13.1),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-glanceclient.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-glanceclient.git
 Homepage: http://glance.openstack.org
@@ -63,12 +63,12 @@
 Package: python-glanceclient
 Architecture: all
 Depends: python-babel,
-         python-keystoneclient (>= 1:1.1.0),
+         python-keystoneclient (>= 1:1.7.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.11.0),
          python-pbr (>= 1.6),
          python-prettytable,
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
          python-warlock,
          ${misc:Depends},
@@ -89,12 +89,12 @@
 Package: python3-glanceclient
 Architecture: all
 Depends: python3-babel,
-         python3-keystoneclient (>= 1:1.1.0),
+         python3-keystoneclient (>= 1:1.7.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.utils (>= 3.11.0),
          python3-pbr (>= 1.6),
          python3-prettytable,
-         python3-requests (>= 2.8.1),
+         python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
          python3-warlock,
          ${misc:Depends},
